Loading...
Searching...
No Matches
QXmppOmemoStorage::Device Struct Reference

`#include <QXmppOmemoStorage.h>`

## Public Attributes

QString | label
QByteArray | keyId
QByteArray | session
int | unrespondedSentStanzasCount = 0
int | unrespondedReceivedStanzasCount = 0
QDateTime | removalFromDeviceListDate

## Detailed Description

Contains the data of another OMEMO device. That includes another own device (i.e., not this client instance's one) or a contact's device.

## Member Data Documentation

## keyId

QByteArray QXmppOmemoStorage::Device::keyId

ID of the public long-term key which never changes

## label

QString QXmppOmemoStorage::Device::label

Human-readable string used to identify the device by users

## removalFromDeviceListDate

QDateTime QXmppOmemoStorage::Device::removalFromDeviceListDate

Date when the device was removed from the owner's device list

It can be used to stop encrypting when a device is not used anymore.

## session

QByteArray QXmppOmemoStorage::Device::session

Session data which is only used internally by the OMEMO library

## unrespondedReceivedStanzasCount

int QXmppOmemoStorage::Device::unrespondedReceivedStanzasCount = 0

Count of stanzas received from the device without sending a response

It can be used to send an empty response (heartbeat message) in order to maintain a secure communication.

## unrespondedSentStanzasCount

int QXmppOmemoStorage::Device::unrespondedSentStanzasCount = 0

Count of stanzas sent to the device without receiving a response

It can be used to stop encryption in order to maintain a secure communication.

The documentation for this struct was generated from the following file:

- QXmppOmemoStorage.h